<?php
/*
 * @author: CloudZA(云之安) <2922619853@qq.com>
 * @hitokoto: 一场秋雨一场凉，秋心酌满泪为霜。
 * Copyright (c) 2022 by CloudZA, All Rights Reserved.
 */

include_once 'common.php';
if ( !isset($islogin)) header("Location: /");//非法访问
$act = isset($_GET[ 'act' ]) ? purge($_GET[ 'act' ]) : '';

// 修改用户资料
if ($act === 'setUserInfo') {
    $id = isset($_POST[ 'id' ]) ? purge($_POST[ 'id' ]) : '';
    //    $appid                    = isset($_POST[ 'appid' ]) ? purge($_POST[ 'appid' ]) : '';
    $data[ 'user_nick' ]  = isset($_POST[ 'user_nick' ]) ? purge($_POST[ 'user_nick' ]) : '';
    $data[ 'user_id' ]    = isset($_POST[ 'user_id' ]) ? purge($_POST[ 'user_id' ]) : '';
    $pass                 = isset($_POST[ 'user_pass' ]) ? purge($_POST[ 'user_pass' ]) : '';
    $data[ 'user_qq' ]    = isset($_POST[ 'user_qq' ]) ? purge($_POST[ 'user_qq' ]) : '';
    $data[ 'user_email' ] = isset($_POST[ 'user_email' ]) ? purge($_POST[ 'user_email' ]) : '';
    $res                  = false;
    if (empty($data[ 'user_nick' ]) || empty($data[ 'user_id' ]) || empty($data[ 'user_qq' ]) || empty($data[ 'user_email' ])) {
        exit(ReturnError('数据不完整'));
    }
    if ( !empty($pass)) {
        $data[ 'user_pass' ] = sha1($pass);
    }
    $res = Db::table('user')
             ->where(['id' => $id])
             ->update($data);
    if ($res) {
        exit(ReturnSuccess('保存成功'));
    } else {
        exit(ReturnError('保存失败'));
    }
}

// 修改用户状态
if ($act === 'setUserStatus') {
    $id = isset($_POST[ 'uid' ]) ? purge($_POST[ 'uid' ]) : '';
    //    $appid                    = isset($_POST[ 'appid' ]) ? purge($_POST[ 'appid' ]) : '';
    $status = isset($_POST[ 'status' ]) ? purge($_POST[ 'status' ]) : ''; // $_POST['status'] ?? '0';
    $res    = Db::table('user')
                ->where(['id' => $id])
                ->update(['user_status' => $status]);
    if ($res) {
        exit(ReturnSuccess('修改成功'));
    } else {
        exit(ReturnError('修改失败'));
    }
}

// 添加用户
if ($act === 'addUser') {
    $data[ 'appid' ]       = isset($_POST[ 'appid' ]) ? purge($_POST[ 'appid' ]) : '';
    $data[ 'user_nick' ]   = isset($_POST[ 'user_nick' ]) ? purge($_POST[ 'user_nick' ]) : '';
    $data[ 'user_id' ]     = isset($_POST[ 'user_id' ]) ? purge($_POST[ 'user_id' ]) : '';
    $pass                  = isset($_POST[ 'user_pass' ]) ? purge($_POST[ 'user_pass' ]) : '';
    $data[ 'user_qq' ]     = isset($_POST[ 'user_qq' ]) ? purge($_POST[ 'user_qq' ]) : '';
    $data[ 'user_email' ]  = isset($_POST[ 'user_email' ]) ? purge($_POST[ 'user_email' ]) : '';
    $data[ 'user_cookie' ] = sha1($data[ 'user_id' ] . $pass . time());
    $data[ 'user_status' ] = 1;
    $data['user_time'] = date('Y-m-d H:i:s');
    if (empty($data['appid']) || empty($data[ 'user_id' ]) || empty($pass) || empty($data[ 'user_qq' ]) || empty($data[ 'user_email' ])) {
        exit(ReturnError('数据不完整'));
    }
    if(empty($data['user_nick'])){
        $data['user_nick'] =  generateNickname();
    }
    $data[ 'user_pass' ] = sha1($pass);

    $res = Db::table('user')
             ->add($data);
    if ($res) {
        exit(ReturnSuccess('添加成功'));
    } else {
        exit(ReturnError('添加失败'));
    }
}

if ($act === 'delUser') {
    $id = isset($_POST[ 'uid' ]) ? purge($_POST[ 'uid' ]) : '';
    if (Db::table('user')
          ->where(['id' => $id])
          ->del()) {
        exit(ReturnSuccess('删除成功'));
    } else {
        exit(ReturnError('删除失败'));
    }
}

